﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
EXEC p_DropIdx 'IDX_EPA_ACTEVALOBJ_ACT', 'T_EPA_ACTEVALOBJ';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJ_ACT') CREATE INDEX IDX_EPA_ACTEVALOBJ_ACT ON T_EPA_ACTEVALOBJ ( FACTIVITYID ,FASSESSSTAUS ,FNODEINDEX  DESC ,FASSESSNODEID ,FNODESTATUS );

 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJFLOW_L', 'T_EPA_ACTEVALOBJFLOW_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJFLOW_L') CREATE INDEX IDX_EPA_ACTEVALOBJFLOW_L ON T_EPA_ACTEVALOBJFLOW_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ACTRECORD', 'T_EPA_ACTRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTRECORD') CREATE INDEX IDX_EPA_ACTRECORD ON T_EPA_ACTRECORD ( FACTEVALOBJID );


 EXEC P_ALTERPK 'PK_EPA_OBJSUMAREAINS', 'T_EPA_OBJSUMAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJSUMAREAINS') CREATE INDEX IDX_EPA_OBJSUMAREAINS ON T_EPA_OBJSUMAREAINS ( FACTEVALOBJID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBEVALNODERES', 'T_EPA_ADDSUBEVALNODERES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBEVALNODERES') CREATE INDEX IDX_EPA_ADDSUBEVALNODERES ON T_EPA_ADDSUBEVALNODERES ( FFLOWRUPROCID );


 EXEC P_ALTERPK 'PK_EPA_OBJSUMAREAINS_L', 'T_EPA_OBJSUMAREAINS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJSUMAREAINS_L') CREATE INDEX IDX_EPA_OBJSUMAREAINS_L ON T_EPA_OBJSUMAREAINS_L ( FID ,FLOCALEID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBEVALRECORD') CREATE INDEX IDX_EPA_ADDSUBEVALRECORD ON T_EPA_ADDSUBEVALRECORD ( FFLOWRUNODEID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBEVALRECORD_L', 'T_EPA_ADDSUBEVALRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBEVALRECORD_L') CREATE INDEX IDX_EPA_ADDSUBEVALRECORD_L ON T_EPA_ADDSUBEVALRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_GENEVALNODERES', 'T_EPA_GENEVALNODERES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENEVALNODERES') CREATE INDEX IDX_EPA_GENEVALNODERES ON T_EPA_GENEVALNODERES ( FFLOWRUPROCID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENEVALRECORD') CREATE INDEX IDX_EPA_GENEVALRECORD ON T_EPA_GENEVALRECORD ( FFLOWRUNODEID );


 EXEC P_ALTERPK 'PK_EPA_GENEVALRECORD_L', 'T_EPA_GENEVALRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENEVALRECORD_L') CREATE INDEX IDX_EPA_GENEVALRECORD_L ON T_EPA_GENEVALRECORD_L ( FID ,FLOCALEID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ATTACHEVALRECORD') CREATE INDEX IDX_EPA_ATTACHEVALRECORD ON T_EPA_ATTACHEVALRECORD ( FFLOWRUTASKID );


 EXEC P_ALTERPK 'PK_EPA_ENDEVALFLOWRECORD', 'T_EPA_ENDEVALFLOWRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ENDEVALFLOWRECORD') CREATE INDEX IDX_EPA_ENDEVALFLOWRECORD ON T_EPA_ENDEVALFLOWRECORD ( FACTEVALOBJID );


 EXEC P_ALTERPK 'PK_EPA_ENDEVALFLOWRECORD_L', 'T_EPA_ENDEVALFLOWRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ENDEVALFLOWRECORD_L') CREATE INDEX IDX_EPA_ENDEVALFLOWRECORD_L ON T_EPA_ENDEVALFLOWRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJ_A', 'T_EPA_ACTEVALOBJ_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJ_A') CREATE INDEX IDX_EPA_ACTEVALOBJ_A ON T_EPA_ACTEVALOBJ_A ( FCFLOP );


 EXEC P_ALTERPK 'PK_EPA_GENAREARECORD', 'T_EPA_GENAREARECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_GENAREARECORD') CREATE INDEX IDX_EPA_GENAREARECORD ON T_EPA_GENAREARECORD ( FFLOWRUTASKID ,FAREAID );


 EXEC P_ALTERPK 'PK_EPA_ADDSUBAREARECORD', 'T_EPA_ADDSUBAREARECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ADDSUBAREARECORD') CREATE INDEX IDX_EPA_ADDSUBAREARECORD ON T_EPA_ADDSUBAREARECORD ( FFLOWRUTASKID ,FAREAID );



/**End D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
