﻿/**Begin D:\tools\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PERFRESULT') 
 CREATE TABLE T_EPA_PERFRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '2' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FASSESSLEVEL VARCHAR(255) DEFAULT ' ' NOT NULL,
FASSESSMODELID BIGINT DEFAULT 0 NOT NULL,
FRULESCOREID BIGINT DEFAULT 0 NOT NULL,
FPERFLEVELID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPERFFILEID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FINITDATASOURCE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PERFRESULT_L') 
 CREATE TABLE T_EPA_PERFRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OVERALLRESULT') 
 CREATE TABLE T_EPA_OVERALLRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLETYPEID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOEVERALLDEFSHOW CHAR(1) DEFAULT '0' NOT NULL,
FENTRYBOIDALLID BIGINT DEFAULT 0 NOT NULL,
FOVERALLDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOVERALLTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OVERALLRESULT_L') 
 CREATE TABLE T_EPA_OVERALLRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOVERALLDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_LEVELRESULT') 
 CREATE TABLE T_EPA_LEVELRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULELEVELNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRULELEVELNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRULELEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLEVELRANKSHOW CHAR(1) DEFAULT '0' NOT NULL,
FENTRYBOIDRULEID BIGINT DEFAULT 0 NOT NULL,
FLEVELDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_LEVELRESULT_L') 
 CREATE TABLE T_EPA_LEVELRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRULELEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRULELEVELNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLEVELDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_RANKRESULT') 
 CREATE TABLE T_EPA_RANKRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRANKDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FTOTALPEOPLE INT DEFAULT 0 NOT NULL,
FRANK INT DEFAULT 0 NOT NULL,
FRANKPROPORTION DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRANKDEFSHOW CHAR(1) DEFAULT '0' NOT NULL,
FENTRYBOIDRANKID BIGINT DEFAULT 0 NOT NULL,
FRANKDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_RANKRESULT_L') 
 CREATE TABLE T_EPA_RANKRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDIMENSIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRANKDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\tools\PDM_UPGRADE\PDM1\EPA_table.sql **/
