﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_AREAPAGEREG') 
 CREATE TABLE T_EPA_AREAPAGEREG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISCONFIG CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_AREAPAGEREG_L') 
 CREATE TABLE T_EPA_AREAPAGEREG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_AREAFIELDREG') 
 CREATE TABLE T_EPA_AREAFIELDREG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FREFKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(2) DEFAULT '1' NOT NULL,
FPROPTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FMAX INT DEFAULT 0 NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT ' ' NOT NULL,
FMIN INT DEFAULT 0 NOT NULL,
FDEFVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASCOPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISZEROSHOW CHAR(1) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FISCONFIG CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_AREAFIELDREG_L') 
 CREATE TABLE T_EPA_AREAFIELDREG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSFORM') 
 CREATE TABLE T_EPA_ASSESSFORM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSIONSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCORECALCWAY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCORESYSTEMID BIGINT DEFAULT 0 NOT NULL,
FEVALWAY VARCHAR(2) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEVALTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSUMPERFLEVELID BIGINT DEFAULT 0 NOT NULL,
FNUMACCURACY VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSUPCALCSUM CHAR(1) DEFAULT ' ' NOT NULL,
FSCALETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISHIGHCONF CHAR(1) DEFAULT ' ' NOT NULL,
FSUMCONFID BIGINT DEFAULT 0 NOT NULL,
FEMPINFOCONFID BIGINT DEFAULT 0 NOT NULL,
FNORMALRULEID BIGINT DEFAULT 0 NOT NULL,
FALLOWEXCEEDUPPER CHAR(1) DEFAULT '0' NOT NULL,
FLIMITMAXSCORE DECIMAL(17,4) DEFAULT 0 NOT NULL,
FALLOWEXCEEDLOWER CHAR(1) DEFAULT '0' NOT NULL,
FLIMITMINSCORE DECIMAL(17,4) DEFAULT 0 NOT NULL,
FCONSISTENTWITHAREA VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ASSESSFORM_L') 
 CREATE TABLE T_EPA_ASSESSFORM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_AREACONFENTRY') 
 CREATE TABLE T_EPA_AREACONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FAREACONFID BIGINT DEFAULT 0 NOT NULL,
FAREAREGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMAREACONF') 
 CREATE TABLE T_EPA_CUSTOMAREACONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMAREACONF_L') 
 CREATE TABLE T_EPA_CUSTOMAREACONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMCONFENTRY') 
 CREATE TABLE T_EPA_CUSTOMCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_CUSTOMCONFENTRY_L') 
 CREATE TABLE T_EPA_CUSTOMCONFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_NORMALCONF') 
 CREATE TABLE T_EPA_NORMALCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISALLOWEVAL CHAR(1) DEFAULT '0' NOT NULL,
FFORCEDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISFORCEDCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FISPARTIN CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLECONTROL CHAR(1) DEFAULT '0' NOT NULL,
FISSUPPORTVETO CHAR(1) DEFAULT '0' NOT NULL,
FREVERSEPOINTS CHAR(1) DEFAULT ' ' NOT NULL,
FSCORESYSTEMID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(17,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_NORCONFENTRY') 
 CREATE TABLE T_EPA_NORCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_NORMALCONF_L') 
 CREATE TABLE T_EPA_NORMALCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_NORCONFENTRY_L') 
 CREATE TABLE T_EPA_NORCONFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONF') 
 CREATE TABLE T_EPA_PLUSMNSCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPLUSLIMIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINUSLIMIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPARTIN CHAR(1) DEFAULT '0' NOT NULL,
FISFORCEDCONTROL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONFENTRY') 
 CREATE TABLE T_EPA_PLUSMNSCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONF_L') 
 CREATE TABLE T_EPA_PLUSMNSCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_PLUSMNSCONFENTRY_L') 
 CREATE TABLE T_EPA_PLUSMNSCONFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONF') 
 CREATE TABLE T_EPA_ATTACHCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONFENTRY') 
 CREATE TABLE T_EPA_ATTACHCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONF_L') 
 CREATE TABLE T_EPA_ATTACHCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ATTACHCONFENTRY_L') 
 CREATE TABLE T_EPA_ATTACHCONFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SUMCONF') 
 CREATE TABLE T_EPA_SUMCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISSHOWINFLOW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SUMCONFENTRY') 
 CREATE TABLE T_EPA_SUMCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SUMCONF_L') 
 CREATE TABLE T_EPA_SUMCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_SUMCONFENTRY_L') 
 CREATE TABLE T_EPA_SUMCONFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDCUSTNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONF') 
 CREATE TABLE T_EPA_EMPINFOCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONFENTRY') 
 CREATE TABLE T_EPA_EMPINFOCONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAFIELDID BIGINT DEFAULT 0 NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_EMPINFOCONF_L') 
 CREATE TABLE T_EPA_EMPINFOCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
